# Hush [![Build Status](https://ci.jojodev.com/api/badges/Minecraft/Hush/status.svg)](https://ci.jojodev.com/Minecraft/Hush)
A plugin to monitor chat for forbidden phrases.

## Watch Lists
Watchlist are groups of categories Hush monitors for. To enable a watchlist for a player,
they should be given the `hush.<watchlist_name>` permission.

### Categories
A category is a group of regex filters, and the actions to run when a player matches one of those filters. 
An example of a category is shown below:

```yaml
    # "ban" category
    ban:
      # Filters to search for in chat
      filters:
        - "heck"
        - "fricks"
      # Optional, commands to run when a filter matches. {player} is replaced with the player's name.
      commands:
        - "ban {player}"
      # Optional, should the message that matched the filter be cancelled? Default is "false".
      cancel_msg: true
```

## Permissions
* `hush.admin` - allows access to the `hush` command
* `hush.<watchlist_name>` - used to determine if a player's messages should be checked by a watchlist

### Commands
* `hush reload` - reloads the plugin config

## Example Config
[Config](src/main/resources/config.yml)

## License
[MIT](LICENSE)
